Bug 179081 - Wrong expansion of a-{b{d,e}}-c
Wrong expansion of a-{b{d,e}}-c
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-01-26 21:39 EST by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-27 07:04:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2006-01-26 21:39:47 EST
Description of problem:
Sometimes when expanding braces non-expanded braces get lost.

Version-Release number of selected component (if applicable):

How reproducible:
Dunno. Has happened a couple of times with constructions like this.

Steps to Reproduce:
1. echo a-{b{d,e}}-c
Actual results:
a-bd-c a-be-c

Expected results:
a-{bd}-c a-{be}-c

Additional info:
Comment 1 Tim Waugh 2006-01-27 07:04:13 EST
Reported upstream.
Comment 2 James Ralston 2007-05-03 13:51:23 EDT
Just FYI: this is now fixed in Rawhide (bash-3.2-9.fc7 and possibly earlier).  I
know this because I was unwittingly depending on the incorrect behavior, and was
surprised when it "broke".  ;)

Note You need to log in before you can comment on or make changes to this bug.